language: php

dist: bionic

matrix:
  include:
    - php: 7.1
    - php: 7.1
      env: dependencies=lowest
    - php: 7.2
    - php: 7.2
      env: dependencies=lowest
    - php: 7.3
    - php: 7.3
      env: dependencies=lowest
    - php: 7.4
    - php: 7.4
      env: dependencies=lowest

install:
    - |
        if [[ "$dependencies" = "lowest" ]]; then
          travis_retry composer update --no-interaction --prefer-lowest --prefer-stable -n
        else
          travis_retry composer install --no-interaction --prefer-dist
        fi

script: vendor/bin/phpunit --coverage-text
